Рекомендация Debian по безопасности

DSA-4814-1 xerces-c -- обновление безопасности

Дата сообщения:
17.12.2020
Затронутые пакеты:
xerces-c
Уязвим:
Да
Ссылки на базы данных по безопасности:
В системе отслеживания ошибок Debian: Ошибка 947431.
В каталоге Mitre CVE: CVE-2018-1311.
Более подробная информация:

Было обнаружено, что xerces-c, библиотека для языка C++ для выполнения грамматического разбора и проверки XML, неправильно сканирует DTD. Из-за этой проблемы происходит использование указателей после освобождения памяти, которое позволяет удалённому злоумышленнику использовать специально сформированный файл в формате XML для аварийного завершения приложения или выполнения произвольного кода. Заметьте, что заплата, исправляющая эту проблему, приводит к утечке памяти.

В стабильном выпуске (buster) эта проблема была исправлена в версии 3.2.2+debian-1+deb10u1.

Рекомендуется обновить пакеты xerces-c.

С подробным статусом поддержки безопасности xerces-c можно ознакомиться на соответствующей странице отслеживания безопасности по адресу https://security-tracker.debian.org/tracker/xerces-c